.main {
  width: min(800px, 94%);
  margin-inline: auto;

  margin-bottom: 80px;
  margin-top: 120px;


  .contact__inner {
    background: #fff;
    border-radius: 12px;
    width: 100%;
    padding: 64px 48px;

    .form__items {
      display: flex;
      flex-direction: column;
      gap: 32px;
      width: 100%;

      .form__item {
        width: 100%;

        label {
          display: flex;
          flex-direction: column;

          gap: 4px;

          p {
            font-size: 1.6rem;
            font-weight: 600;
            display: flex;
            align-items: flex-start;
            gap: 4px;

            span {
              color: #950007;
              font-size: 1.2rem;
              font-weight: 800;
            }
          }

          input {
            width: 100%;
            padding: 0 16px;
            font-size: 1.4rem;
            font-weight: 700;
            border-radius: 8px;
            border: none;
            height: 50px;
            color: #292929;
            background: #f6f6f6;

            &::placeholder {
              font-weight: 700;
            }
          }

          select {
            width: min(400px, 100%);
            padding: 0 16px;
            font-size: 1.4rem;
            font-weight: 700;
            border-radius: 8px;
            border: none;
            height: 50px;
            color: #292929;
            background: #f6f6f6;
          }

          textarea {
            width: 100%;
            padding: 12px 16px;
            font-size: 1.4rem;
            font-weight: 700;
            border-radius: 8px;
            border: none;
            color: #292929;
            background: #f6f6f6;

            &::placeholder {
              font-weight: 700;
            }
          }


        }

        &.submit__item {
          text-align: center;
          display: flex;
          flex-direction: column;
          align-items: center;

          input {
            border-radius: 30px;
            background: #2B2B2B;
            font-size: 1.6rem !important;
            font-weight: 700;
            font-size: clamp(13px, 1.3vh, 16px);
            height: 60px;
            height: clamp(40px, 5.5vh, 60px);
            width: 260px;
            border: none;
            color: #fff;
            cursor: pointer;
            margin: 10px 0;
          }

        }
      }
    }

    .form__text {
      p {
        font-size: 1.2rem;

        a {
          color: #0a94eb;
        }
      }
    }
  }
}

@media screen and (max-width:1024px) {
  .main {
    margin-bottom: 64px;
    margin-top: 100px;
  }
}

@media screen and (max-width:767px) {
  .main {
    margin-bottom: 48px;
    margin-top: 80px;

    .contact__inner {
      padding: 40px 24px;

      .form__items {
        gap: 24px;

        .form__item {

          label {
            gap: 4px;

            p {
              font-size: 1.5rem;
              gap: 4px;

              span {
                font-size: 1.1rem;
              }
            }

            input {
              padding: 0 12px;
              font-size: 1.3rem;
              border-radius: 6px;
              height: 46px;

            }

            select {
              width: min(400px, 100%);
              padding: 0 14px;
              font-size: 1.3rem;
              border-radius: 6px;
              height: 46px;
            }

            textarea {
              width: 100%;
              padding: 10px 14px;
              font-size: 1.3rem;
              border-radius: 6px;

            }
          }

          &.submit__item {

            input {
              font-size: 1.5rem !important;
              font-size: clamp(13px, 1.3vh, 16px);
              height: 56px;
              height: clamp(40px, 5.5vh, 60px);
              width: 260px;
              margin: 10px 0;
            }

          }
        }
      }

      .form__text {
        p {
          font-size: 1.2rem;

          a {
            color: #0a94eb;
          }
        }
      }
    }
  }
}

@media screen and (max-width:640px) {
  .main {
    margin-bottom: 40px;
    margin-top: 64px;

    .contact__inner {
      padding: 32px 16px;

      .form__items {
        gap: 20px;

        .form__item {

          label {

            p {
              font-size: 1.4rem;

              span {
                font-size: 1.0rem;
              }
            }

            input {
              padding: 0 10px;
              font-size: 1.2rem;
              border-radius: 4px;
              height: 40px;

            }

            select {
              padding: 0 12px;
              font-size: 1.2rem;
              border-radius: 4px;
              height: 40px;
            }

            textarea {
              padding: 8px 12px;
              font-size: 1.2rem;
              border-radius: 4px;

            }
          }

          &.submit__item {

            input {
              font-size: 1.4rem !important;
              font-size: clamp(13px, 1.3vh, 16px);
              height: 56px;
              height: clamp(40px, 5.5vh, 60px);
              width: 260px;
              margin: 10px 0;
            }

          }
        }
      }

      .form__text {
        p {
          font-size: 1.2rem;

          a {
            color: #0a94eb;
          }
        }
      }
    }
  }
}